EUCA-BUNDLE-VOL(1)

NAME
euca-bundle-vol - Create a bundled iamge based on the running machine's filesystem

SYNOPSIS
euca-bundle-vol [-s MB] [-p PREFIX] [-a] [--no-inherit | --inherit] [-i FILE1,FILE2,...] [-e DIR1,DIR2,...] [--volume PATH] [--no-filter] [--fstab PATH | --generate-fstab] -r {i386,x86_64,armhf} [-c FILE] [-k FILE] [-u ACCOUNT] [--region USER@REGION] [--ec2cert FILE] [--kernel IMAGE] [--ramdisk IMAGE] [-B VIRTUAL1=DEVICE1,VIRTUAL2=DEVICE2,...] [-d DIR] [--productcodes CODE1,CODE2,...] [--progress | --no-progress] [--debug] [--debugger] [--version] [-h]

DESCRIPTION
Create a bundled iamge based on the running machine's filesystem

DESCRIPTION
This command must be run as the superuser.

  optional arguments:

-s MB, --size MB
    Size of the image in MB (default: 10240; recommended maximum: 10240).

-p PREFIX, --prefix PREFIX
    the file name prefix to give the bundle's files (defaults to 'image').

-a, --all
    Bundle all directories (including mounted filesystems).

--no-inherit
    Do not add instance metadata to the bundled image (defaults to inheriting metadata).

--inherit
    Explicitly inherit instance metadata and add it to the bundled image (this is the default behavior)

-i FILE1,FILE2,..., --include FILE1,FILE2,...
    Comma-separated list of absolute file paths to include.

-e DIR1,DIR2,..., --exclude DIR1,DIR2,...
    Comma-separated list of directories to exclude.

--volume PATH
    Path to mounted volume to bundle (defaults to '/').

--no-filter
    Do not use the default filtered files list.

--fstab PATH
    Path to the fstab to be bundled with image.

--generate-fstab
    Generate fstab to bundle in image.

-r {i386,x86_64,armhf}, --arch {i386,x86_64,armhf}
    the image's processor architecture (required)

-c FILE, --cert FILE
    file containing your X.509 certificate.

-k FILE, --privatekey FILE
    file containing the private key to sign the bundle's manifest with. This private key will also be required to unbundle the image in the future.

-u ACCOUNT, --user ACCOUNT
    your account ID

--region USER@REGION
    use encryption keys and the account ID specified for a user and/or region in configuration files

--ec2cert FILE
    file containing the cloud's X.509 certificate

--kernel IMAGE
    ID of the kernel image to associate with the machine bundle

--ramdisk IMAGE
    ID of the ramdisk image to associate with the machine bundle

-B VIRTUAL1=DEVICE1,VIRTUAL2=DEVICE2,..., --block-device-mappings VIRTUAL1=DEVICE1,VIRTUAL2=DEVICE2,...
    default block device mapping scheme with which to launch instances of this machine image

-d DIR, --destination DIR
    location to place the bundle's files (default: dir named by TMPDIR, TEMP, or TMP environment variables, or otherwise /var/tmp)

--productcodes CODE1,CODE2,...
    comma-separated list of product codes

--progress
    show progress (the default when run interactively)

--no-progress
    do not show progress (the default when run noninteractively)

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit